Create transaction rule
curl --request POST \
--url https://int-api.mx.com/users/{user_guid}/transaction_rules \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://int-api.mx.com/users/{user_guid}/transaction_rules"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://int-api.mx.com/users/{user_guid}/transaction_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_rule": {
"category_guid": "CAT-b1de2a04-db08-b6ed-f6fe-ca2f5b11c2d0",
"created_at": "2018-10-02T22:00:50+00:00",
"description": "Wal-mart food storage",
"guid": "TXR-a080e0f9-a2d4-4d6f-9e03-672cc357a4d3",
"match_description": "Wal-mart",
"updated_at": "2018-10-02T23:54:40+00:00",
"user_guid": "USR-22fc3203-b3e6-8340-43db-8e50b2f56995"
}
}Transaction Rules
Create transaction rule
POST
/
users
/
{user_guid}
/
transaction_rules
Create transaction rule
Use this endpoint to create a new transaction rule. The newly-created
transaction_rule object will be returned if successful.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Body
application/json
TransactionRule object to be created with optional parameters (description) and required parameters (category_guid and match_description)
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Example:
"CAT-b1de2a04-db08-b6ed-f6fe-ca2f5b11c2d0"
Example:
"2018-10-02T22:00:50+00:00"
Example:
"Wal-mart food storage"
Example:
"TXR-a080e0f9-a2d4-4d6f-9e03-672cc357a4d3"
Example:
"Wal-mart"
Example:
"2018-10-02T23:54:40+00:00"
Example:
"USR-22fc3203-b3e6-8340-43db-8e50b2f56995"
⌘I

